export default createPassDescriptors;
declare function createPassDescriptors(ctx: any): {
    directionalLightShadows: {
        colorMapDesc: {
            name: string;
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
        };
        shadowMapDesc: {
            name: string;
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
        };
        pass: {
            name: string;
            color: any[];
            depth: any;
            clearColor: number[];
            clearDepth: number;
        };
    };
    pointLightShadows: {
        shadowCubemapDesc: {
            name: string;
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
        };
        shadowMapDesc: {
            name: string;
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
        };
        cubemapSides: {
            eye: number[];
            target: number[];
            up: number[];
            color: number[];
        }[];
        passes: {
            name: string;
            color: {
                target: any;
            }[];
            depth: any;
            clearColor: number[];
            clearDepth: number;
        }[];
    };
    mainPass: {
        outputTextureDesc: {
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
        };
        outputDepthTextureDesc: {
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
        };
        pass: {
            color: any[];
        };
    };
    grabPass: {
        colorCopyTextureDesc: {
            width: number;
            height: number;
            pixelFormat: any;
            encoding: any;
            min: any;
            mag: any;
            mipmap: boolean;
        };
        copyTexturePipelineDesc: {
            vert: string;
            frag: string;
        };
    };
    tonemap: {
        pipelineDesc: {
            vert: string;
            frag: string;
        };
        pass: {
            color: any[];
            clearColor: number[];
        };
    };
};
