declare const _default: "\nuniform float uReflectance;\n\n// TODO: used by clearCoat\n// https://google.github.io/filament/Filament.md.html#materialsystem/specularbrdf\n// Distribution\n// Walter et al. 2007, \"Microfacet Models for Refraction through Rough Surfaces\"\nfloat D_GGX(float linearRoughness, float NoH, const vec3 h, const vec3 normalWorld) {\n  float oneMinusNoHSquared = 1.0 - NoH * NoH;\n\n  float a = NoH * linearRoughness;\n  float k = linearRoughness / (oneMinusNoHSquared + a * a);\n  float d = k * k * (1.0 / PI);\n  return saturateMediump(d);\n}\n\n// TODO: Used by clearCoat\n// Kelemen 2001, \"A Microfacet Based Coupled Specular-Matte BRDF Model with Importance Sampling\"\nfloat V_Kelemen(float LoH) {\n  return saturateMediump(0.25 / (LoH * LoH));\n}\n\n\n// TODO: used by clearCoat e.g. in indirect.glsl.js\nfloat F_Schlick(float f0, float f90, float VoH) {\n  return f0 + (f90 - f0) * pow(1.0 - VoH, 5.0);\n}\n\n// Diffuse\nfloat DiffuseLambert() {\n  return 1.0 / PI;\n}\n\n// GGX, Trowbridge-Reitz\n// Same as glTF2.0 PBR Spec\nfloat MicrofacetDistribution(float linearRoughness, float NdotH) {\n  float a2 = linearRoughness * linearRoughness;\n  float NdotH2 = NdotH * NdotH;\n\n  float nom = a2;\n  float denom  = (NdotH2 * (a2 - 1.0) + 1.0);\n  denom = PI * denom * denom;\n\n  if (denom > 0.0) {\n    return nom / denom;\n  } else {\n    return 1.0;\n  }\n}\n\n// FresnelSchlick\n// Same as glTF2.0 PBR Spec\nvec3 SpecularReflection(vec3 specularColor, float HdotV) {\n  float cosTheta = HdotV;\n  return specularColor + (1.0 - specularColor) * pow(1.0 - cosTheta, 5.0);\n}\n\n// Smith Joint GGX\n// Sometimes called Smith GGX Correlated\n// Note: Vis = G / (4 * NdotL * NdotV)\n// see Eric Heitz. 2014. Understanding the Masking-Shadowing Function in Microfacet-Based BRDFs. Journal of Computer Graphics Techniques, 3\n// see Real-Time Rendering. Page 331 to 336.\n// see https://google.github.io/filament/Filament.md.html#materialsystem/specularbrdf/geometricshadowing(specularg)\nfloat VisibilityOcclusion(float linearRoughness, float NdotL, float NdotV) {\n  float linearRoughnessSq = linearRoughness * linearRoughness;\n\n  float GGXV = NdotL * sqrt(NdotV * NdotV * (1.0 - linearRoughnessSq) + linearRoughnessSq);\n  float GGXL = NdotV * sqrt(NdotL * NdotL * (1.0 - linearRoughnessSq) + linearRoughnessSq);\n\n  float GGX = GGXV + GGXL;\n  if (GGX > 0.0) {\n      return 0.5 / GGX;\n  }\n  return 0.0;\n}\n\n";
export default _default;
