declare const _default: "\n#if NUM_DIRECTIONAL_LIGHTS > 0\n\nstruct DirectionalLight {\n  vec3 direction;\n  vec4 color;\n  mat4 projectionMatrix;\n  mat4 viewMatrix;\n  bool castShadows;\n  float near;\n  float far;\n  float bias;\n  vec2 shadowMapSize;\n};\n\nuniform DirectionalLight uDirectionalLights[NUM_DIRECTIONAL_LIGHTS];\nuniform sampler2D uDirectionalLightShadowMaps[NUM_DIRECTIONAL_LIGHTS]; //TODO: is it ok to sample depth texture as sampler2D?\n\nvoid EvaluateDirectionalLight(inout PBRData data, DirectionalLight light, sampler2D shadowMap) {\n  vec4 lightViewPosition = light.viewMatrix * vec4(vPositionWorld, 1.0);\n  float lightDistView = -lightViewPosition.z;\n  vec4 lightDeviceCoordsPosition = light.projectionMatrix * lightViewPosition;\n  vec3 lightDeviceCoordsPositionNormalized = lightDeviceCoordsPosition.xyz / lightDeviceCoordsPosition.w;\n  vec2 lightUV = lightDeviceCoordsPositionNormalized.xy * 0.5 + 0.5;\n\n  float illuminated = bool(light.castShadows) ? getShadow(shadowMap, light.shadowMapSize, lightUV, lightDistView - light.bias, light.near, light.far) : 1.0;\n\n  #ifndef USE_TRANSMISSION\n  if (illuminated > 0.0) {\n  #endif\n    Light l;\n    l.l = -light.direction;\n    l.color = light.color;\n    l.attenuation = 1.0;\n    getSurfaceShading(data, l, illuminated);\n  #ifndef USE_TRANSMISSION\n  }\n  #endif\n}\n#endif\n";
export default _default;
