declare const _default: "\n#if !defined(USE_TANGENTS) && (defined(USE_NORMAL_MAP) || defined(USE_CLEAR_COAT_NORMAL_MAP))\n  //http://www.thetenthplanet.de/archives/1180\n  mat3 cotangentFrame(vec3 N, vec3 p, vec2 uv) {\n    // get edge vectors of the pixel triangle\n    highp vec3 dp1 = dFdx(p);\n    highp vec3 dp2 = dFdy(p);\n    highp vec2 duv1 = dFdx(uv);\n    highp vec2 duv2 = dFdy(uv);\n\n    // solve the linear system\n    vec3 dp2perp = cross(dp2, N);\n    vec3 dp1perp = cross(N, dp1);\n    vec3 T = dp2perp * duv1.x + dp1perp * duv2.x;\n    vec3 B = dp2perp * duv1.y + dp1perp * duv2.y;\n\n    // construct a scale-invariant frame\n    float invmax = 1.0 / sqrt(max(dot(T,T), dot(B,B)));\n    return mat3(normalize(T * invmax), normalize(B * invmax), N);\n  }\n\n  vec3 perturb(vec3 map, vec3 N, vec3 V, vec2 texcoord) {\n    mat3 TBN = cotangentFrame(N, -V, texcoord);\n    return normalize(TBN * map);\n  }\n#endif\n";
export default _default;
