declare const _default: "\n#ifdef USE_NORMAL_MAP\nuniform sampler2D uNormalMap;\nuniform float uNormalScale;\n\n#ifdef USE_NORMAL_MAP_TEX_COORD_TRANSFORM\n  uniform mat3 uNormalMapTexCoordTransform;\n#endif\n\nvoid getNormal(inout PBRData data) {\n  #ifdef USE_NORMAL_MAP_TEX_COORD_TRANSFORM\n    vec2 texCoord = getTextureCoordinates(data, NORMAL_MAP_TEX_COORD_INDEX, uNormalMapTexCoordTransform);\n  #else\n    vec2 texCoord = getTextureCoordinates(data, NORMAL_MAP_TEX_COORD_INDEX);\n  #endif\n\n  vec3 normalMap = texture2D(uNormalMap, texCoord).rgb * 2.0 - 1.0;\n  normalMap.y *= uNormalScale;\n  normalMap = normalize(normalMap);\n\n  vec3 N = normalize(data.normalView);\n  vec3 V = normalize(data.eyeDirView);\n\n  vec3 normalView;\n\n  #ifdef USE_TANGENTS\n    vec3 bitangent = cross(N, data.tangentView.xyz) * sign(data.tangentView.w);\n    mat3 TBN = mat3(data.tangentView.xyz, bitangent, N);\n    normalView = normalize(TBN * normalMap);\n  #else\n    normalMap.xy *= float(gl_FrontFacing) * 2.0 - 1.0;\n    // make the output normalView match glTF expected right handed orientation\n    normalMap.y *= -1.0;\n    normalView = perturb(normalMap, N, V, texCoord);\n  #endif\n  data.normalView = normalView;  \n  data.normalWorld = normalize(vec3(data.inverseViewMatrix * vec4(normalView, 0.0)));\n}\n// #elif defined(USE_DISPLACEMENT_MAP)\n//   uniform sampler2D uDisplacementMap;\n//   uniform float uDisplacement;\n//   uniform float uDisplacementNormalScale;\n\n//   vec3 getNormal() {\n//     float scale = uDisplacement * uDisplacementNormalScale;\n//     float h = scale * texture2D(uDisplacementMap, texCoord).r;\n//     float hx = scale * texture2D(uDisplacementMap, texCoord + vec2(1.0 / 2048.0, 0.0)).r;\n//     float hz = scale * texture2D(uDisplacementMap, texCoord + vec2(0.0, 1.0 / 2048.0)).r;\n//     float meshSize = 20.0;\n//     vec3 a = vec3(0.0, h, 0.0);\n//     vec3 b = vec3(1.0 / 2048.0 * meshSize, hx, 0.0);\n//     vec3 c = vec3(0.0, hz, 1.0 / 2048.0 * meshSize);\n//     vec3 N = normalize(cross(normalize(c - a), normalize(b - a)));\n//     // FIXME: this is model space normal, need to multiply by modelWorld\n//     // N = mat3(uModelMatrix) * N;\n//     return N;\n//   }\n#else\nvoid getNormal(inout PBRData data) {\n  // NOP\n}\n#endif\n";
export default _default;
