declare const _default: "\nprecision highp float;\n\nvarying vec2 vTexCoord0;\n\nuniform sampler2D image;\nuniform vec2 imageSize;\n\nuniform float intensity;\n\nfloat Brightness(vec3 c) {\n  return max(max(c.r, c.g), c.b);\n}\n\nvoid main () {\n  vec4 d = (1.0 / imageSize).xyxy * vec4(-1, -1, +1, +1);\n\n  // vec4 color = vec4(0.0);\n  // color += texture2D(image, vTexCoord0 + d.xy);\n  // color += texture2D(image, vTexCoord0 + d.zy);\n  // color += texture2D(image, vTexCoord0);\n  // color += texture2D(image, vTexCoord0 + d.xw);\n  // color += texture2D(image, vTexCoord0 + d.zw);\n  // gl_FragColor = color / 5.0 * intensity;\n\n  vec4 s1 = texture2D(image, vTexCoord0 + d.xy);\n  vec4 s2 = texture2D(image, vTexCoord0 + d.zy);\n  vec4 s3 = texture2D(image, vTexCoord0 + d.xw);\n  vec4 s4 = texture2D(image, vTexCoord0 + d.zw);\n\n  // Karis's luma weighted average (using brightness instead of luma)\n  float s1w = 1.0 / (Brightness(s1.xyz) + 1.0);\n  float s2w = 1.0 / (Brightness(s2.xyz) + 1.0);\n  float s3w = 1.0 / (Brightness(s3.xyz) + 1.0);\n  float s4w = 1.0 / (Brightness(s4.xyz) + 1.0);\n  float one_div_wsum = 1.0 / (s1w + s2w + s3w + s4w);\n\n  vec4 color = (s1 * s1w + s2 * s2w + s3 * s3w + s4 * s4w) * one_div_wsum;\n  gl_FragColor = color * intensity;\n}\n";
export default _default;
